Back to index

salome-smesh  6.5.0
Namespaces | Variables
SMESH_BuildCompound.py File Reference

Go to the source code of this file.

Namespaces

namespace  SMESH_BuildCompound

Variables

tuple SMESH_BuildCompound.Box_inf = geompy.MakeBox(0., 0., 0., 200., 200., 50.)
 create a bottom box
tuple SMESH_BuildCompound.Psup1 = geompy.MakeVertex(100., 100., 50.)
tuple SMESH_BuildCompound.Fsup1 = geompy.GetFaceNearPoint(Box_inf, Psup1)
tuple SMESH_BuildCompound.Pinf1 = geompy.MakeVertex(100., 100., 0.)
tuple SMESH_BuildCompound.Finf1 = geompy.GetFaceNearPoint(Box_inf, Pinf1)
tuple SMESH_BuildCompound.Box_sup = geompy.MakeBox(100., 100., 50., 200., 200., 100.)
 create a top box
tuple SMESH_BuildCompound.Psup2 = geompy.MakeVertex(150., 150., 100.)
tuple SMESH_BuildCompound.Fsup2 = geompy.GetFaceNearPoint(Box_sup, Psup2)
tuple SMESH_BuildCompound.Pinf2 = geompy.MakeVertex(150., 150., 50.)
tuple SMESH_BuildCompound.Finf2 = geompy.GetFaceNearPoint(Box_sup, Pinf2)
tuple SMESH_BuildCompound.Mesh_inf = smesh.Mesh(Box_inf, "Mesh_inf")
 Publish in the study.
tuple SMESH_BuildCompound.algo1D_1 = Mesh_inf.Segment()
tuple SMESH_BuildCompound.algo2D_1 = Mesh_inf.Quadrangle()
tuple SMESH_BuildCompound.algo3D_1 = Mesh_inf.Hexahedron()
tuple SMESH_BuildCompound.Gsup1 = Mesh_inf.Group(Fsup1, "Sup")
tuple SMESH_BuildCompound.Ginf1 = Mesh_inf.Group(Finf1, "Inf")
tuple SMESH_BuildCompound.Mesh_sup = smesh.Mesh(Box_sup, "Mesh_sup")
 create a top mesh
tuple SMESH_BuildCompound.algo1D_2 = Mesh_sup.Segment()
tuple SMESH_BuildCompound.algo2D_2 = Mesh_sup.Quadrangle()
tuple SMESH_BuildCompound.algo3D_2 = Mesh_sup.Hexahedron()
tuple SMESH_BuildCompound.Gsup2 = Mesh_sup.Group(Fsup2, "Sup")
tuple SMESH_BuildCompound.Ginf2 = Mesh_sup.Group(Finf2, "Inf")
tuple SMESH_BuildCompound.Compound1 = smesh.smesh.Concatenate([Mesh_inf.GetMesh(), Mesh_sup.GetMesh()], 0, 1, 1e-05)
 create compounds create a compound of two meshes with renaming groups with the same names and merging of elements with the given tolerance
tuple SMESH_BuildCompound.Compound2 = smesh.smesh.Concatenate([Mesh_inf.GetMesh(), Mesh_sup.GetMesh()], 1, 0, 1e-05, True)